<?php

declare(strict_types=1);

namespace App\Framework\StaticSite;

use App\Framework\Console\ConsoleCommand;
use App\Framework\Core\PathProvider;

class GenerateStaticSites
{
    private string $outputDirectory;

    public function __construct(
        private readonly PathProvider $pathProvider
    ) {
        $this->outputDirectory = $this->pathProvider->resolvePath('/public') . '/static';
    }

    #[ConsoleCommand('static:generate', 'Generiert statische Seiten')]
    public function generate(): void
    {

    }
}
